import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:syncrow_web/pages/device_managment/all_devices/models/devices_model.dart';
import 'package:syncrow_web/pages/routines/bloc/functions_bloc/functions_bloc_bloc.dart';
import 'package:syncrow_web/pages/routines/models/device_functions.dart';
import 'package:syncrow_web/pages/routines/widgets/routine_dialogs/ceiling_sensor/ceiling_sensor_dialog.dart';

abstract final class CeilingSensorHelper {
  const CeilingSensorHelper._();

  static Future<Map<String, dynamic>?> showCeilingSensorDialog({
    required BuildContext context,
    required String? uniqueCustomId,
    required List<DeviceFunction> functions,
    required List<DeviceFunctionData> deviceSelectedFunctions,
    required AllDevicesModel? device,
    required String dialogType,
  }) {
    return showDialog(
      context: context,
      builder: (context) => BlocProvider(
        create: (context) => FunctionBloc()
          ..add(
            InitializeFunctions(deviceSelectedFunctions),
          ),
        child: CeilingSensorDialog(
          uniqueCustomId: uniqueCustomId,
          functions: functions,
          deviceSelectedFunctions: deviceSelectedFunctions,
          device: device,
          dialogType: dialogType,
        ),
      ),
    );
  }
}
